Bug 7570 - Add item availability status to cart
Summary: Add item availability status to cart
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Meenakshi
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-21 06:40 UTC by Savitra Sirohi
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Attached Patch. (2.03 KB, patch)
2012-06-01 10:37 UTC, Meenakshi
Details | Diff | Splinter Review
Screenshot showing inaccurate availability information (32.31 KB, image/png)
2012-06-01 13:34 UTC, Owen Leonard
Details
Sending Improved Patch. (2.43 KB, patch)
2012-06-04 06:29 UTC, Meenakshi
Details | Diff | Splinter Review
Screenshot showing inaccurate availability information (32.81 KB, image/png)
2012-06-04 15:34 UTC, Owen Leonard
Details
Latest Patch (3.26 KB, patch)
2012-06-05 10:02 UTC, Meenakshi
Details | Diff | Splinter Review
Screenshot showing inaccurate availability information (60.63 KB, image/png)
2012-06-06 13:34 UTC, Owen Leonard
Details
Attaches Patch. (4.27 KB, patch)
2012-06-08 06:15 UTC, Meenakshi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7570 - Add Item availability status to cart. (4.34 KB, patch)
2012-06-10 14:05 UTC, Michael Davis
Details | Diff | Splinter Review
bug 7570: add a space to the table header (915 bytes, patch)
2012-06-10 14:05 UTC, Michael Davis
Details | Diff | Splinter Review
[SIGNED-OFF] bug 7570: add a space to the table header (1001 bytes, patch)
2012-06-10 14:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Savitra Sirohi 2012-02-21 06:40:08 UTC
For items in the cart (opac-basket.pl), only location and call no. are displayed, change this page to display item availability status as well.
Comment 1 Meenakshi 2012-06-01 10:37:18 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-06-01 13:34:50 UTC Comment hidden (obsolete)
Comment 3 Meenakshi 2012-06-04 06:29:57 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-06-04 15:30:47 UTC
Comment on attachment 9874 [details] [review]
Attached Patch.

Don't forget to mark old patches obsolete when you submit revised versions.
Comment 5 Owen Leonard 2012-06-04 15:34:29 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2012-06-04 15:35:24 UTC
I also notice this patch doesn't add any information to the cart view one reaches by clicking the "more details" link.
Comment 7 Meenakshi 2012-06-05 10:02:52 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2012-06-06 13:34:38 UTC Comment hidden (obsolete)
Comment 9 Meenakshi 2012-06-08 06:15:30 UTC Comment hidden (obsolete)
Comment 10 Michael Davis 2012-06-10 14:05:04 UTC
Created attachment 10112 [details] [review]
[SIGNED-OFF] Bug 7570 - Add Item availability status to cart.

Added Item availability status to cart(Location table cell).

Changes:
-opac/opac-basket.pl:
Added code to show In transmit status and modified @items to call "GetItemsInfo" instead of "GetItemsLocationInfo" to get accurate avalibility status.
-koha-tmpl/opac-tmpl/prog/en/modules/opac-basket.tt:
Added code for showing availibility staus in opac-basket page and in  "More details" link.

Test Cases:
-Add records to your cart with different cases like 1 record with  different Item status(Lost,Avaliable,Withdrawn,etc).
-Click on your cart and see the results in a new window.
-Click on "More details" link and check the results.

Signed-off-by: Michael Davis <m.r.davis@cranfield.ac.uk>
Comment 11 Michael Davis 2012-06-10 14:05:38 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2012-06-10 14:12:03 UTC
Created attachment 10115 [details] [review]
[SIGNED-OFF] bug 7570: add a space to the table header

Add a space to separate Location from (Status)

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Typo fix, all ok.
Comment 13 Paul Poulain 2012-06-11 15:47:49 UTC
QA comment:
 * patch adding dependencies on C4::Circulation and C4::Branch, that is quite heavy, but the page is rarely used, so it's OK
 * The patch is only a few line, no other objection
Comment 14 Paul Poulain 2012-06-11 15:55:35 UTC
Patch pushed, I've updated the follow-up to add another space in another similar place where we had no space in location(s)(status)